function r = max_geom_lb_nonasy(N, delta)
    kappa  = @(n, delta) 2* (1-delta)/delta;
    r = arrayfun (@(n) (n-1)/n * sqrt (kappa(n, delta))*exp(delta)*erfc(sqrt(delta))...
        - max_geom_lb_err(n, delta, kappa),N) ;
end