function u = screened_poisson_leading_order(N, delta, kappa) 
    u = arrayfun (@(n)sqrt(2*kappa(n, delta))* max_gaussian_expectation(n, 1)...
                      *exp(delta)*sqrt(pi)/2*erfc(sqrt(delta)),N);
end