function err =screened_poisson_ub_err(N, delta, kappa)
   % This function computes the discretization error E(t) of the adversary 
   % strategy a^h as described in Example 1.
   
    if N==2
        a = 1;
    else
        a  = 2;
    end
    C3  = @(n) 1/kappa(N, delta) *(3*sqrt(n/2) + a*(2 * log (n)+ 2*sqrt(log(n))+2));
    err = (1-delta)/delta * C3(N)/6  * exp(-delta)*(log(1/delta)+1) ; 
end